Page MenuHomePhabricator

Enable OpenJDK 8
Closed, DeclinedPublic

Description

I've been running my Commons bot tasks on a personal server and would like to migrate those tasks to tool labs. I updated my code to take advantage of new Java 8 features back in March, but seeing how tool labs is still using Java version 7, I cannot migrate my tools.

With that said, is it possible to have a developer release of JDK/JRE 8 installed on labs?


Version: unspecified
Severity: enhancement

Details

Reference
bz66171

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:15 AM
bzimport added a project: Toolforge.
bzimport set Reference to bz66171.
Fastily created this task.Jun 5 2014, 8:50 AM

https://bugs.launchpad.net/ubuntu/+source/openjdk-8/+bug/1341628 says no openjdk8 package for even the latest LTS, so this is going to be a while :(

coren moved this task from Triage to Backlog on the Toolforge board.Nov 25 2014, 4:22 PM

Change 181548 had a related patch set uploaded (by Yuvipanda):
tools: Add jdk-8 to trusty nodes

https://gerrit.wikimedia.org/r/181548

Patch-For-Review

We have a trusty package thanks to T78267, but it might or might not be maintained depending on wether we end up using Titan or not. I shall -2 my patch until that is determined.

any updates?

yuvipanda changed the task status from Open to Stalled.Mar 9 2015, 3:13 PM

As mentionedin T85964 the JDK 8 package was rolled back, since Titan wasn't under consideration anymore. It could be backported from utopic now (http://packages.ubuntu.com/utopic/openjdk-8-jdk), not sure how supported that will be.

coren closed this task as Declined.Mar 25 2015, 8:17 PM

While I can see the appeal of the latest-and-greatest, it is not reasonable for us to maintain a major revision of a JDK if it has no support from the distribution for the foreseeable future.

Change 181548 abandoned by Yuvipanda:
tools: Add jdk-8 to trusty nodes

https://gerrit.wikimedia.org/r/181548

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJul 29 2015, 2:41 AM